#
# spec file for package perl-Array-Diff
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Array-Diff
Name:           perl-Array-Diff
Version:        0.09
Release:        1.15
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Find the differences between two arrays
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/N/NE/NEILB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Algorithm::Diff) >= 1.19
BuildRequires:  perl(Class::Accessor::Fast)
Requires:       perl(Algorithm::Diff) >= 1.19
Requires:       perl(Class::Accessor::Fast)
%{perl_requires}

%description
This module compares two *pre-sorted* arrays and returns the added or
deleted elements in two separate arrays. It's a simple wrapper around
Algorithm::Diff.

*Note*: the arrays must be sorted before you call 'diff'.

And if you need more complex array tools, check Array::Compare.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Tue Sep 14 2021 Dirk Stoecker <opensuse@dstoecker.de>
- refresh spec file
* Mon May 13 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.09
  see /usr/share/doc/packages/perl-Array-Diff/Changes
  0.09 2019-05-10 NEILB
  - Set minimum Perl version in metadata. PR from MANWAR.
  - Clarified in the doc that the arrays must be sorted. RT#39184
* Thu May  9 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.08
  see /usr/share/doc/packages/perl-Array-Diff/Changes
  0.08 2019-05-08 NEILB
  - First non-developer release since switching to Dist::Zilla
  0.07_03 2019-05-08 NEILB
  - Added Array::Compare to SEE ALSO
  - Added List::Compare to SEE ALSO
  - Really just making another developer release, as PAUSE and then
    CPAN Testers had issues, so previous dev releases didn't get much
    testing.
  0.07_02 2019-05-07 NEILB
  - Added a bunch of entries to SEE ALSO.
  0.07_01 2019-05-06 NEILB
  - Added version dependency for Algorithm::Diff in Array/Diff.pm
  - Switched to Dist::Zilla
* Sun Oct  7 2018 Dirk Stoecker <opensuse@dstoecker.de>
- Fix build for perl 5.28
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.07
  see /usr/share/doc/packages/perl-Array-Diff/Changes
  0.07 2010-10-08T08:59:12+09:00
  - oops, depends Algorithm::Diff 1.19 again ;) (RT #61967)
  0.06 2010-10-08T08:48:01+09:00
  - depends Algorithm::Diff 0.19 (RT #61967)
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.07
  see /usr/share/doc/packages/perl-Array-Diff/Changes
  0.07 2010-10-08T08:59:12+09:00
  - oops, depends Algorithm::Diff 1.19 again ;) (RT #61967)
  0.06 2010-10-08T08:48:01+09:00
  - depends Algorithm::Diff 0.19 (RT #61967)
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Thu Aug 26 2010 pascal.bleser@opensuse.org
- initial package (0.05002)
